Loading...
Searching...
No Matches
EMF::EMRSETBKCOLOR Class Reference

EMF Set Background Color. More...

`#include <libemf.h>`

Inheritance diagram for EMF::EMRSETBKCOLOR:

## Public Member Functions

| EMRSETBKCOLOR (COLORREF color)
| EMRSETBKCOLOR (DATASTREAM &ds)
bool | serialize (DATASTREAM ds)
int | size (void) const
void | execute (METAFILEDEVICECONTEXT *source, HDC dc) const
Public Member Functions inherited from EMF::METARECORD
virtual | ~METARECORD ()

## Detailed Description

EMF Set Background Color.

Sets the background color.

## Constructor & Destructor Documentation

## EMRSETBKCOLOR() [1/2]

EMF::EMRSETBKCOLOR::EMRSETBKCOLOR | ( | COLORREF | color | ) |

inline

Parameters

  color | background color

## EMRSETBKCOLOR() [2/2]

EMF::EMRSETBKCOLOR::EMRSETBKCOLOR | ( | DATASTREAM & | ds | ) |

inline

Construct a SetBkColor record from the input datastream.

Parameters

  ds | Metafile datastream.

## Member Function Documentation

## execute()

void EMF::EMRSETBKCOLOR::execute | ( | METAFILEDEVICECONTEXT * | source,
|  | HDC | dc ) const

inline virtual

Execute this record in the context of the given device context.

Parameters

  source | the device context from which this record is taken.
  dc | device context for execute.

Implements EMF::METARECORD.

## serialize()

bool EMF::EMRSETBKCOLOR::serialize | ( | DATASTREAM | ds | ) |

inline virtual

Parameters

  ds | Metafile datastream.

Implements EMF::METARECORD.

## size()

int EMF::EMRSETBKCOLOR::size | ( | void |  | ) | const

inline virtual

Internally computed size of this record.

Implements EMF::METARECORD.

The documentation for this class was generated from the following file:

- libemf.h